Groovy Documentation

## org.codehaus.groovy.grails.orm.support
[Java] Class TransactionManagerPostProcessor

    java.lang.Object
      org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter
          org.codehaus.groovy.grails.orm.support.TransactionManagerPostProcessor

All Implemented Interfaces:
  BeanFactoryAware

    public class TransactionManagerPostProcessor
    extends InstantiationAwareBeanPostProcessorAdapter

Injects the platform transaction manager into beans that implement TransactionManagerAware.

Authors:
  Graeme Rocher

Since:
  0.4

Method Summary
`boolean` | `postProcessAfterInstantiation(java.lang.Object bean, java.lang.String name)` Injects the platform transaction manager into the given bean if that bean implements the TransactionManagerAware interface.
`void` | `setBeanFactory(BeanFactory beanFactory)` Gets the platform transaction manager from the bean factory if there is one.

Method Detail

### postProcessAfterInstantiation

    @Override
    public boolean postProcessAfterInstantiation(java.lang.Object bean, java.lang.String name)

  Injects the platform transaction manager into the given bean if that bean implements the TransactionManagerAware interface.
  throws:
    BeansException
  Parameters:
    `bean` - The bean to process.
    `name` - The name of the bean.
  Returns:
    The bean after the transaction manager has been injected.

### setBeanFactory

    public void setBeanFactory(BeanFactory beanFactory)

  Gets the platform transaction manager from the bean factory if there is one.
  throws:
    BeansException
  Parameters:
    `beanFactory` - The bean factory handling this post processor.

Groovy Documentation